Subject: Re: [PATCH net-next 1/1] gve: Fix gve interrupt names

From: Jakub Kicinski <[email-masked]>
Date: Wed, 1 Feb 2023 21:18:40 -0800

On Tue, 31 Jan 2023 13:37:14 -0800 Praveen Kaligineedi wrote:
> IRQs are currently requested before the netdevice is registered
> and a proper name is assigned to the device. Changing interrupt
> name to avoid using the format string in the name.

Please provide an example of what the name used to look like and what
it looks like now.

> Fixes: 893ce44df565 ("gve: Add basic driver framework for Compute Engine Virtual NIC")

If it carries a Fixes tag it should go to net, not net-next, 
and describe what the user-visible issue is going to be.
I'd suggest to drop the Fixes tag. It doesn't look like a fix,
it never worked.

> @@ -371,8 +370,8 @@ static int gve_alloc_notify_blocks(struct gve_priv *priv)
>  	active_cpus = min_t(int, priv->num_ntfy_blks / 2, num_online_cpus());
>  
>  	/* Setup Management Vector  - the last vector */
> -	snprintf(priv->mgmt_msix_name, sizeof(priv->mgmt_msix_name), "%s-mgmnt",
> -		 name);
> +	snprintf(priv->mgmt_msix_name, sizeof(priv->mgmt_msix_name), "gve%d-mgmnt",
> +		 PCI_SLOT(priv->pdev->devfn));

Why slot? 
Please use the more common "$whatever@pci:%s", pci_name() format.